include <libjuju.scad>;
include <bracket.scad>;
include <redmi4a.scad>;

w = 3;
d = 9;
e = 0.1;

module plate() {
  difference() {
    h = 71+w*2+1;
    lip = 12;
    rcube([71, 9.5+w*2, h], 2, 2);
    translate([-e, -e, lip])
      cube([70+2, 10-3, h-lip*2]);
  }
}

module pipoint_r4a() {
  difference() {
    union() {
      translate([-50/2-2, -3, 0])
	bracket(31);
      translate([-70/2, -d-2*w, 0])
	plate();
    }

    translate([140/2, -w-9, w])
      rotate([-90, 180, 0])
      redmi4a();
    translate([0, w, 45])
      rotate([90, 0, 0])
      cylinder(w*3, 23, 23, $fn=50);
  }
  color("grey")
    translate([-32, -10.2, 71+w*2+1])
    linear_extrude(0.5)
    text("pipoint-r4a", size=d/2+1.6);
}

$fn = 20;
pipoint_r4a();
